from abc import ABC, abstractmethod
from typing import List
from Maze import Maze, Cell

# интерфейс стратегий


class PathFindingStrategy(ABC):
    @abstractmethod
    def findPath(maze: Maze, start, exit) -> List[Cell]:
        """ возвращает список клеток пути (от старта до выхода включительно) или пустой список, если пути нет """
        pass
